import { Component } from '@angular/core';

@Component({
  selector: 'app-banner-carousel',
  templateUrl: './banner-carousel.html',
  styleUrls: ['./banner-carousel.scss']
})
export class BannerCarousel {
  // 添加轮播图相关的方法和逻辑
  currentSlide = 0;
  
  // 示例方法
  nextSlide() {
    this.currentSlide = (this.currentSlide + 1) % 3;
  }
  
  goToSlide(index: number) {
    this.currentSlide = index;
  }
}
