import { Component } from '@angular/core';

@Component({
  selector: 'app-pages-community',
  imports: [],
  templateUrl: './pages-community.html',
  styleUrl: './pages-community.scss'
})
export class PagesCommunity {
  likeWork(event: Event) {
    const element = event.target as HTMLElement;
    element.style.transform = 'scale(0.95)';
    setTimeout(() => {
      element.style.transform = 'scale(1)';
    }, 150);
    
    this.showNotification('点赞成功', '感谢你的支持！');
  }

  private showNotification(title: string, message: string) {
    // 在这里实现通知逻辑
    console.log(`${title}: ${message}`);
    // 在实际应用中，你会使用通知服务或组件
  }
}