import { Routes } from '@angular/router';

export const designCenterRoutes: Routes = [
  {
    path: '',
    loadComponent: () => import('./pages-design-center/pages-design-center').then(m => m.PagesDesignCenter),
    children: [
      {
        path: '',
        redirectTo: 'color-diy',
        pathMatch: 'full'
      },
      {
        path: 'color-diy',
        loadComponent: () => import('./pages-design-center/color-diy/color-diy').then(m => m.ColorDiy)
      },
      {
        path: 'advanced-custom',
        loadComponent: () => import('./pages-design-center/advanced-custom/advanced-custom').then(m => m.AdvancedCustom)
      }
    ]
  }
];